using Godot;
using SessionZeroApp;

public partial class HomeContentPage : ContentPageBase 
{

    public override string PageName { get; protected set; } = "Home";

    [Export] private ControlPanelButton _libraryButton;

    public override void _Ready()
    {
        SetupConnections();
    }

    private void SetupConnections()
    {
        _libraryButton.Pressed += () => { AppManager.Instance.LoadPage("Library"); };
    }
}